# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit eutils

DESCRIPTION="IceCast live streamer, delivering aac, ogg or mp3 streams with jack
client."
HOMEPAGE="http://www.oddsock.org/tools/oddcastv3_jack/"
SRC_URI="http://www.oddsock.org/tools/oddcastv3_jack/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="aac alsa encode jack vorbis"

DEPEND="encode?	( >=media-sound/lame-1.89 )
	vorbis? ( >=media-libs/libvorbis-1.0 )
	aac? ( media-libs/faac )
	alsa? ( >=media-libs/alsa-lib-1.0.0 )
	jack? ( media-sound/jack-audio-connection-kit )"

src_unpack() {
	unpack ${A}

	cd "${S}"
}

src_compile() {
	if ! use encode && ! use vorbis && ! use aac
	then

		eerror "You need support for mp3, Ogg Vorbis, AAC or MP2 enconding"
		eerror "for this package. Please merge again with at least one of the"
		eerror "\`encode', \`vorbis' and \`aac' USE flags enabled:"
		eerror
		eerror "  # USE=\"encode\" emerge oddcast"
		eerror "  # USE=\"vorbis\" emerge oddcast"
		eerror "  # USE=\"aac\" emerge oddcast"
		die "Won't build without support for lame, vorbis nor aac"
	fi

	econf $(use_with aac faac) \
		$(use_with alsa) \
		$(use_with encode lame) \
		$(use_with jack) \
		$(use_with vorbis) || die "configuration failed"
	emake || die "Compilation failed"
}

src_install() {
	emake DESTDIR="${D}" install || die
	dodoc AUTHORS README TODO
}
